package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public interface ImportLogService {
	/**
	 * 保存日志
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveImportLog(Map<String, Object> params, HttpServletRequest request, User user);
	
	/**
	 * 保存明细日志
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveImportDeitalLog(Map<String, Object> params, User user);
	
	
	/**
	 * 保存明细日志
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> saveImportLogStatus(Map<String, Object> params, User user);
	
	/**
	 * 获取导入结果回调数据
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getImportProcessLog(Map<String, Object> params, HttpServletRequest request, User user);
	
	/**
	 * 获取人员导入结果信息
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getImportResult(Map<String, Object> params, HttpServletRequest request, User user);
	
	/**
	 * 历史人员导入信息查询
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getImportHistory(Map<String, Object> params, User user);
	
	/**
	 * 高级查询条件
	 */
	public Map<String, Object> getHistorySearchCondition(Map<String, Object> params, User user);
	
	/**
	 * 获取导入结果信息
	 */
	public Map<String, Object> getImportColResultLog(Map<String, Object> params, User user);
}
